Distribution EOLE - Tache #34241

Scénario # 34240 (Terminé (Sprint)): traitement express MTES

la gestion des acl via I'ead3 ne fonctionne pas
02/06/2022 17:14 - Vincent Chavanon

Statut: Fermé Début: 02/06/2022

Priorité: Normal Echéance:

Assigné a: Emmanuel GARETTE % réalisé: 100%

Version cible: Prestation Cadoles MTE 2022 S19 - 34 | Temps estimé: 0.00 heure
Temps passé: 0.00 heure

Description

Historique

#1 - 02/06/2022 17:19 - Vincent Chavanon
- Fichier 2022-06-02 17_17_41-.png ajouté

Quand on se connecte a I'ead3 avec le compte eole, sur certains serveurs, on ne peut derouler l'arborescence du serveur en claiquant sur le "+"
devant /home, et un carré rouge apparait en bas a gauche (cf. PJ)
le lancant salt-minion en mode debug via la commande /usr/bin/python3 /usr/bin/salt-minion -c /etc/ead3/salt -| debug, ceci remonte :

[INFO ] User eole Executing command ead.acl_find with jid 20220602143409072310

[DEBUG ] Command details {'fun': 'ead.acl_find', 'arg': ['/home', {'__kwarg__': True, 'maxdepth': 1, 'mindep

th': 1, 'print': 'name,type'}], 'tgt': 'local', 'jid': '20220602143409072310', 'ret': '', 'tgt_type': 'glob',

'user': 'eole'}

[DEBUG ] Subprocess ProcessPayload-Job-20220602143409072310 added

[INFO ] User root Executing command saltutil.find_job with jid 20220602143409078740

[DEBUG ] Command details {'fun': 'saltutil.find_job', 'arg': ['20220602143409072310'], 'tgt': 'local', 'jid'
'20220602143409078740', 'ret': '', 'tgt_type': 'glob', 'user': 'root'}

[DEBUG ] Subprocess ProcessPayload-Job-20220602143409078740 added

[DEBUG ] Using importlib_metadata to load entry points

[DEBUG ] Using importlib_metadata to load entry points

[DEBUG ] LazyLoaded jinja.render

[DEBUG ] LazyLoaded yaml.render

[DEBUG ] LazyLoaded jinja.render

[DEBUG ] LazyLoaded yaml.render

[INFO ] Starting a new job 20220602143409072310 with PID 10853

[DEBUG ] Could not LazyLoad direct_call.allow_missing_func: 'direct_call.allow_missing_func' is not availabl

e.

[INFO ] Starting a new job 20220602143409078740 with PID 10854

[DEBUG ] Could not LazyLoad direct_call.allow_missing_func: 'direct_call.allow_missing_func' is not availabl

e.

[DEBUG ] LazyLoaded saltutil.find_job

[DEBUG ] Minion return retry timer set to 9 seconds (randomized)

[INFO ] Returning information for job: 20220602143409078740

[DEBUG ] Initializing new AsyncAuth for ('/var/lib/ead3/etc/salt/pki/minion', 'local', 'tcp://127.0.0.1:4606

")

[DEBUG ] Connecting the Minion to the Master URI (for the return server): tcp://127.0.0.1:4606

[DEBUG ] Trying to connect to: tcp://127.0.0.1:4606

[DEBUG ] Closing AsyncZeroMQReqgChannel instance

[DEBUG ] minion return: {'success': True, 'return': {'pid': 10853, 'fun': 'ead.acl_find', 'arg': ['/home', {

' __kwarg__': True, 'maxdepth': 1, 'mindepth': 1, 'print': 'name,type'}]l, 'tgt': 'local', 'jid': '2022060214340

9072310', 'ret': '', 'tgt_type': 'glob', 'user': 'eole'}, 'retcode': 0, 'jid': '20220602143409078740', 'fun':

'saltutil.find_job', 'fun_args': ['20220602143409072310']}

[DEBUG ] Starting new HTTP connection (1): 127.0.0.1

[DEBUG ] http://127.0.0.1:8000 "GET /get//quota/quota/directories HTTP/1.1" 200 36

[DEBUG ] Starting new HTITP connection (1): 127.0.0.1

[DEBUG ] http://127.0.0.1:8000 "GET /get/creole?variable=acl_directories HTTP/1.1" 200 36

[DEBUG ] LazyLoaded ead.acl_find

[DEBUG ] LazyLoaded file.find

[DEBUG ] Subprocess ProcessPayload-Job-20220602143409078740 cleaned up

[DEBUG ] Minion return retry timer set to 8 seconds (randomized)

[INFO ] Returning information for job: 20220602143409072310

[DEBUG ] Initializing new AsyncAuth for ('/var/lib/ead3/etc/salt/pki/minion', 'local', 'tcp://127.0.0.1:4606
")

[DEBUG ] Connecting the Minion to the Master URI (for the return server): tcp://127.0.0.1:4606

[DEBUG ] Trying to connect to: tcp://127.0.0.1:4606

[DEBUG ] Closing AsyncZeroMQRegChannel instance

[DEBUG ] minion return: {'success': True, 'return': [['aquota.group', 'f'], ['aquota.user', 'f'], ['backup',
'd'l, ['data', 'd'l, ['eole', 'd'l, ['ftp', 'd'l, ['geo-ide-base', 'd']l, ['geoide_old.sqgl', 'f'], ['lost+foun

d', 'd'l, ['mail', 'd']l, ['nagios', 'd']l, ['netlogon', 'd'l, ['workgroups', 'd']l], 'retcode': 0, 'jid': '20220

602143409072310', 'fun': 'ead.acl_find', 'fun_args': ['/home', {'maxdepth': 1, 'mindepth': 1, 'print': 'name,t

ype'}1l}

[DEBUG ] Subprocess ProcessPayload-Job-20220602143409072310 cleaned up

Si on clique sur le dossier home, on voit bien ses acl.

#2 - 28/06/2022 14:02 - Emmanuel GARETTE
- Statut changé de Nouveau & A valider
- Assigné a mis a Emmanuel GARETTE

- % réalisé changé de 0 a 100

Je viens de backporter en 2.7.1.

#3 - 28/06/2022 14:48 - Vincent Chavanon

- Statut changé de A valider & Résolu

test OK sur des eole 2.7.2 qui rencontraient le soucis

#4 - 05/07/2022 15:02 - Philippe Carre

- Statut changé de Résolu a A valider

Malheureusement , pas tous !
J'ai encore au moins 2 serveurs (Seth 2.7.2), ou eole-fichier-actions est a jour (2.7.2-12) et ou le pb est fjrs la :

[INFO ] User ppsrl Executing command ead.acl_find with jid 20220705125433685596

[DEBUG ] Command details {'fun': 'ead.acl_find', 'arg': ['/home', {'__kwarg__': True, 'maxdepth': 1, 'mindep

th': 1, 'print': 'name,type'}], 'tgt': 'local', 'jid': '20220705125433685596', 'ret': '', 'tgt_type': 'glob',

'user': 'ppsrl'}

[DEBUG ] Subprocess ProcessPayload-Job-20220705125433685596 added

[INFO ] User root Executing command saltutil.find_job with jid 20220705125433703075

[DEBUG ] Command details {'fun': 'saltutil.find_job', 'arg': ['20220705125433685596'], 'tgt': 'local', 'jid'
'20220705125433703075"', 'ret': '', 'tgt_type': 'glob', 'user': 'root'}

[DEBUG ] Subprocess ProcessPayload-Job-20220705125433703075 added

[DEBUG ] Using importlib_metadata to load entry points

[DEBUG ] Using importlib_metadata to load entry points

[DEBUG ] LazyLoaded jinja.render

[DEBUG ] LazyLoaded yaml.render

[DEBUG ] LazylLoaded jinja.render
[DEBUG ] LazyLoaded yaml.render

[INFO ] Starting a new Jjob 20220705125433685596 with PID 24948

[DEBUG ] Could not LazyLoad direct_call.allow_missing_func: 'direct_call.allow_missing_func' is not availabl
e.

[INFO ] Starting a new Jjob 20220705125433703075 with PID 24949

[DEBUG ] Could not LazyLoad direct_call.allow_missing_func: 'direct_call.allow_missing_func' is not availabl
e.

[DEBUG ] LazyLoaded saltutil.find_job

[DEBUG ] Minion return retry timer set to 6 seconds (randomized)

[INFO ] Returning information for job: 20220705125433703075

[DEBUG ] Initializing new AsyncAuth for ('/var/lib/ead3/etc/salt/pki/minion', 'local', 'tcp://127.0.0.1:4606
")

[DEBUG Connecting the Minion to the Master URI (for the return server): tcp://127.0.0.1:4606

]

[DEBUG ] Trying to connect to: tcp://127.0.0.1:4606
1
]

[DEBUG Closing AsyncZeroMQRegChannel instance

[DEBUG minion return: {'success': True, 'return': {'pid': 24948, 'fun': 'ead.acl_find', 'arg': ['/home',6 {
' _kwarg__': True, 'maxdepth': 1, 'mindepth': 1, 'print': 'name,type'}], 'tgt': 'local', 'jid': '2022070512543

3685596', 'ret': '', 'tgt_type': 'glob', 'user': 'ppsrl'}, 'retcode': 0, 'jid': '20220705125433703075', 'fun':
'saltutil.find_Jjob', 'fun_args': ['20220705125433685596']}

[DEBUG ] Starting new HTTP connection (1): 127.0.0.1

[DEBUG 1 http://127.0.0.1:8000 "GET /get/creole?variable=acl_directories HTTP/1.1" 200 36

[DEBUG ] Starting new HTTP connection (1): 127.0.0.1

[DEBUG ] http://127.0.0.1:8000 "GET /get//quota/quota/directories HTTP/1.1" 200 36

[DEBUG ] LazyLoaded ead.acl_find

[DEBUG ] LazyLoaded file.find

[DEBUG ] Subprocess ProcessPayload-Job-20220705125433703075 cleaned up

Attention , sur ces serveurs seul eole-fichier-actions est a jour (apt install ... sur test-eole, et pas un Maj-Auto) . Est ce qu'il faut mettre a jour d'autres
paquets ?

#5 - 24/01/2023 17:40 - Philippe Carre
- Statut changé de A valider & Fermé
- Temps estimé mis a 0.00 h

- Restant a faire (heures) mis a 0.0

Méme vérif sur le méme serveur (7 mois aprés!) , le pb est réglé !!
LEs ACL s'affichent correctement , sur tous les dossiers.
Fichiers

2022-06-02 17_17_41-.png 29,2 ko 02/06/2022 Vincent Chavanon
